Loading...
Searching...
No Matches
RDKit::MolPicklerException Class Reference

used to indicate exceptions whilst pickling (serializing) molecules More...

`#include <MolPickler.h>`

Inheritance diagram for RDKit::MolPicklerException:

## Public Member Functions

| MolPicklerException (const char *msg)
| MolPicklerException (const std::string msg)
const char * | what () const noexcept override
| ~MolPicklerException () noexcept override=default

## Detailed Description

used to indicate exceptions whilst pickling (serializing) molecules

Definition at line 40 of file MolPickler.h.

## Constructor & Destructor Documentation

## MolPicklerException() [1/2]

RDKit::MolPicklerException::MolPicklerException | ( | const char * | msg | ) |

inline

Definition at line 42 of file MolPickler.h.

## MolPicklerException() [2/2]

RDKit::MolPicklerException::MolPicklerException | ( | const std::string | msg | ) |

inline

Definition at line 43 of file MolPickler.h.

## ~MolPicklerException()

RDKit::MolPicklerException::~MolPicklerException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::MolPicklerException::what | ( |  | ) | const

inline override noexcept

Definition at line 44 of file MolPickler.h.

The documentation for this class was generated from the following file:

- MolPickler.h